﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Path="~/JPlot/dist/jquery.js" />
                <asp:ScriptReference Path="~/JPlot/excanvas.js" />
                <asp:ScriptReference Path="~/JPlot/jquery.jqplot.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadTabStrip ID="RadTabStrip1" runat="server" MultiPageID="RadMultiPage1"
            OnClientTabSelected="onClientTabSelected">
            <Tabs>
                <telerik:RadTab Text="FirstTab" runat="server" PageViewID="PageView1">
                </telerik:RadTab>
                <telerik:RadTab Text="Tab With Chart" runat="server" PageViewID="PageView2">
                </telerik:RadTab>
            </Tabs>
        </telerik:RadTabStrip>
        <telerik:RadMultiPage ID="RadMultiPage1" runat="server">
            <telerik:RadPageView ID="PageView1" runat="server">
                Some content
            </telerik:RadPageView>
            <telerik:RadPageView ID="PageView2" runat="server" Selected="true">
                <div id="chartdiv" style="height: 300px; width: 600px; border: none;" />
            </telerik:RadPageView>
        </telerik:RadMultiPage>
        <script type="text/javascript">

            var isChartRendered;

            function pageLoad() {

                isChartRendered = false;

            }

            function onClientTabSelected(sender, args) {

                if (!isChartRendered && args.get_tab().get_pageViewID() == "PageView2") {
                    setTimeout(function () {
                        var exceedPoints = [['3rd', 218], ['4th', 223]];
                        var plot1 = $.jqplot('chartdiv', [exceedPoints], {
                            seriesDefaults: { pointLabels: { show: true} },
                            series: [{ label: 'Exceed'}],
                            grid: { drawGridlines: false },
                            seriesColors: ['#666699'],
                            title: 'Reading Scores'
                        });

                        isChartRendered = true;
                    }, 0);
                }
            }
        
        </script>
    </div>
    </form>
</body>
</html>
